
const fs = require('fs')
let moment = require('moment-timezone')
let _ = require('lodash')
let res
init()


async function init() {



    res = await fs.readFileSync('run.csv', 'utf8');
    res=res.split('\n')
    console.log(found('ETH','Lp2'))






}

 function found(pair,lp)
{
    for (let i=0;i<res.length;i++)
    {
        if (!res[i].includes(lp+'_'))
            continue


        let d=res[i].split(',')
        let timeframe=d[13]
        let pvt=d[14]
        let factor=d[15]
        let period=d[103]
        period=period.split(pair)
        period=period[period.length-1]

return {timeframe,pvt,factor,period}

    }
}


function getDataFromFileAndConfig(all,file,config)
{
    for (let i=0;i<all.length;i++)
    {
        // console.log(all[i].name)
        if (all[i].name ===file)
        {
            let inline=all[i].data
            for (let j=0;j<inline.length;j++)
            {
                if (inline[j].includes(config))
                    return inline[j]
            }
        }
    }
}


async function format(name) {
    let res = await fs.readFileSync('./RunRes/' + name, 'utf8');
    res = res.split('\n')
    //  console.log(res[0])
    return res
}
function createRunResfileADV(data) {
    // console.log(data)
    return new Promise(function (resolve, reject) {
        fs.writeFile('runres.json', data, 'utf8', function (err) {
            if (err) reject(err);
            else resolve(data);
        });
    });
}

function createFile(name, body) {
    return new Promise(function (resolve, reject) {
        fs.writeFile('files/' + name, body, 'utf8', function (err) {
            if (err) reject(err);
            else resolve(true);
        });
    });
}